#include <Wt/WApplication>
#include <Wt/WContainerWidget>
#include <Wt/WText>

using namespace Wt;


WApplication *createApplication(const WEnvironment& env)
{
    WApplication *app = new WApplication(env);
    
    app->useStyleSheet("fullpage.css");
    app->useStyleSheet("test.css");
    
    Wt::WContainerWidget *container = app->root();
    container->resize(200, 200);
    container->setStyleClass("yellow-box centered");

    WText *t = new WText("TEST");
    t->setToolTip("ToolTip TEST",  XHTMLText);
    container->addWidget(t);

    return app;
}

int main(int argc, char **argv)
{
  /*
   * Your main method may set up some shared resources, but should then
   * start the server application (FastCGI or httpd) that starts listening
   * for requests, and handles all of the application life cycles.
   *
   * The last argument to WRun specifies the function that will instantiate
   * new application objects. That function is executed when a new user surfs
   * to the Wt application, and after the library has negotiated browser
   * support. The function should return a newly instantiated application
   * object.
   */
  return WRun(argc, argv, &createApplication);
}

